Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class PolicyUtil

    java.lang.Object
      org.apache.axis2.util.PolicyUtil

    public class PolicyUtil

extends Object

Constructor Summary
`PolicyUtil()`

Method Summary
`static org.apache.neethi.PolicyReference` | `createPolicyReference(org.apache.neethi.Policy policy)`
`static String` | `generateId(AxisDescription description)`
`static org.apache.neethi.Policy` | `getMergedPolicy(List policies, AxisDescription description)`
`static org.apache.neethi.Policy` | `getMergedPolicy(List policies, AxisService service)`
`static org.apache.neethi.PolicyComponent` | `getPolicyComponent(Element element)`
`static org.apache.axiom.om.OMElement` | `getPolicyComponentAsOMElement(org.apache.neethi.PolicyComponent component)`
`static org.apache.axiom.om.OMElement` | `getPolicyComponentAsOMElement(org.apache.neethi.PolicyComponent policyComponent, ExternalPolicySerializer externalPolicySerializer)`
`static org.apache.neethi.PolicyComponent` | `getPolicyComponentFromOMElement(org.apache.axiom.om.OMElement policyComponent)`
`static org.apache.neethi.Policy` | `getPolicyFromOMElement(org.apache.axiom.om.OMElement policyElement)`
`static org.apache.neethi.PolicyReference` | `getPolicyReferenceFromOMElement(org.apache.axiom.om.OMElement policyRefElement)`
`static String` | `getSafeString(String unsafeString)`
`static String` | `policyComponentToString(org.apache.neethi.PolicyComponent policyComponent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyUtil

    public PolicyUtil()

Method Detail

### getSafeString

    public static String getSafeString(String unsafeString)

### createPolicyReference

    public static org.apache.neethi.PolicyReference createPolicyReference(org.apache.neethi.Policy policy)

### getPolicyComponentAsOMElement

    public static org.apache.axiom.om.OMElement getPolicyComponentAsOMElement(org.apache.neethi.PolicyComponent policyComponent,
                                                                              ExternalPolicySerializer externalPolicySerializer)
                                                                       throws javax.xml.stream.XMLStreamException,
                                                                              javax.xml.stream.FactoryConfigurationError

  Throws:
    `javax.xml.stream.XMLStreamException`
    `javax.xml.stream.FactoryConfigurationError`

### getPolicyComponentAsOMElement

    public static org.apache.axiom.om.OMElement getPolicyComponentAsOMElement(org.apache.neethi.PolicyComponent component)
                                                                       throws javax.xml.stream.XMLStreamException,
                                                                              javax.xml.stream.FactoryConfigurationError

  Throws:
    `javax.xml.stream.XMLStreamException`
    `javax.xml.stream.FactoryConfigurationError`

### getPolicyComponentFromOMElement

    public static org.apache.neethi.PolicyComponent getPolicyComponentFromOMElement(org.apache.axiom.om.OMElement policyComponent)
                                                                             throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getPolicyFromOMElement

    public static org.apache.neethi.Policy getPolicyFromOMElement(org.apache.axiom.om.OMElement policyElement)

### getPolicyReferenceFromOMElement

    public static org.apache.neethi.PolicyReference getPolicyReferenceFromOMElement(org.apache.axiom.om.OMElement policyRefElement)

### getPolicyComponent

    public static org.apache.neethi.PolicyComponent getPolicyComponent(Element element)

### policyComponentToString

    public static String policyComponentToString(org.apache.neethi.PolicyComponent policyComponent)
                                          throws javax.xml.stream.XMLStreamException,
                                                 javax.xml.stream.FactoryConfigurationError

  Throws:
    `javax.xml.stream.XMLStreamException`
    `javax.xml.stream.FactoryConfigurationError`

### generateId

    public static String generateId(AxisDescription description)

### getMergedPolicy

    public static org.apache.neethi.Policy getMergedPolicy(List policies,
                                                           AxisDescription description)

### getMergedPolicy

    public static org.apache.neethi.Policy getMergedPolicy(List policies,
                                                           AxisService service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.